<?php

namespace Drupal\dn_students\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Database\Database;
use Drupal\Core\Url;
use Drupal\Core\Routing;

/**
 * Provides the form for adding countries.
 */
class StudentEditForm extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'dn_student_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
	  
  $page = \Drupal::request()->getRequestUri(); 
  $page = explode("=", $page);
  $messenger = \Drupal::messenger();
  $messenger->addStatus($page[1]);

    
	  
  try {
		$testid = $page[1];

		$database = \Drupal::database();
		$sql = "SELECT id,fname,sname,age,marks FROM {students} WHERE id = :vid";
		$result = $database->query($sql, [':vid' => $testid]);
		
		foreach ($result as $record) {
			$id = $record->id;
			$fname = $record->fname;
			$sname = $record->sname;
			$age = $record->age;
			$marks = $record->marks;
			
		}
			
		$form['id'] = [
          '#type' => 'textfield',
          '#title' => $this->t('Student ID'),
          '#required' => FALSE,
          '#maxlength' => 20,
          '#default_value' => $id,
		];
		
    
		$form['fname'] = [
		  '#type' => 'textfield',
		  '#title' => $this->t('First Name'),
		  '#required' => TRUE,
		  '#maxlength' => 20,
		  '#default_value' =>  $fname,
		];
		 $form['sname'] = [
		  '#type' => 'textfield',
		  '#title' => $this->t('Second Name'),
		  '#required' => TRUE,
		  '#maxlength' => 20,
		  '#default_value' =>  $sname,
		];
		$form['age'] = [
		  '#type' => 'textfield',
		  '#title' => $this->t('Age'),
		  '#required' => TRUE,
		  '#maxlength' => 20,
		  '#default_value' => $age,
		];
		 $form['marks'] = [
		  '#type' => 'textfield',
		  '#title' => $this->t('Marks'),
		  '#required' => TRUE,
		  '#maxlength' => 20,
		  '#default_value' => $marks,
		];
		
		$form['actions']['#type'] = 'actions';
		$form['actions']['submit'] = [
		  '#type' => 'submit',
		  '#button_type' => 'primary',
		  '#default_value' => $this->t('Save') ,
		];
	
	
    return $form;
  
} catch(Exception $ex){
		\Drupal::logger('dn_students')->error($ex->getMessage());
}
	
}  
 
  /**
   * {@inheritdoc}
   */
  public function submitForm(array & $form, FormStateInterface $form_state) {
	try{
		
		$database = \Drupal::database();
		
		$field = $form_state->getValues();
	   
		//$fields["id"] = $field['id'];
		//$fields["fname"] = $field['fname'];
		//$fields["sname"] = $field['sname'];
		//$fields["age"] = $field['age'];
		//$fields["marks"] = $field['marks'];
		
		$result = $database->update('students')
		->fields([
			'sname' => $field['sname'],
			'fname' => $field['fname'],
			'age' => $field['age'],
			'marks' => $field['marks'],
		])
		->condition('id', $field['id'])
		->execute();
		$form_state->setRedirect('view.student_list.page_1');

		
		
			
		 
	} catch(Exception $ex){
		\Drupal::logger('dn_students')->error($ex->getMessage());
	}	    
  }
  }